import{au as e,av as n}from"./main.5eae9762.js";const t=e`
  fragment CommentFields on Comment {
    id
    uuid
    url
    text
    visibility
    local
    actor {
      ...ActorFragment
    }
    totalReplies
    insertedAt
    updatedAt
    deletedAt
    isAnnouncement
    language
  }
  ${n}
`,m=e`
  fragment CommentRecursive on Comment {
    ...CommentFields
    inReplyToComment {
      ...CommentFields
    }
    originComment {
      ...CommentFields
    }
    replies {
      ...CommentFields
      inReplyToComment {
        ...CommentFields
      }
      originComment {
        ...CommentFields
      }
      replies {
        ...CommentFields
      }
    }
  }
  ${t}
`;e`
  query FetchThreadReplies($threadId: ID!) {
    thread(id: $threadId) {
      ...CommentRecursive
    }
  }
  ${m}
`;e`
  query CommentThreads($eventUUID: UUID!) {
    event(uuid: $eventUUID) {
      id
      uuid
      comments {
        ...CommentFields
      }
    }
  }
  ${t}
`;const i=e`
  query CommentThreadsWithReplies($eventUUID: UUID!) {
    event(uuid: $eventUUID) {
      id
      uuid
      comments {
        ...CommentRecursive
      }
    }
  }
  ${m}
`,d=e`
  mutation CreateCommentFromEvent(
    $eventId: ID!
    $text: String!
    $inReplyToCommentId: ID
    $isAnnouncement: Boolean
  ) {
    createComment(
      eventId: $eventId
      text: $text
      inReplyToCommentId: $inReplyToCommentId
      isAnnouncement: $isAnnouncement
    ) {
      ...CommentRecursive
    }
  }
  ${m}
`,C=e`
  mutation DeleteComment($commentId: ID!) {
    deleteComment(commentId: $commentId) {
      id
    }
  }
`,s=e`
  mutation UpdateComment($commentId: ID!, $text: String!) {
    updateComment(commentId: $commentId, text: $text) {
      ...CommentFields
    }
  }
  ${t}
`;export{i as C,C as D,s as U,d as a};
//# sourceMappingURL=./comment.a6aa5984.js-3011ddc9eb1aad25b7b5ac647d7404c8.map
